Subject: bug#18077: 24.4.50; Info-quoted face should inherit default

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Jul 2014 15:11:42 +0300

> From: Sebastian Wiesner <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 25 Jul 2014 12:25:47 +0200
> 
> > Would you like to suggest a patch for fixing this problem?  Please
> > note that the underlying issue here is that the font should provide
> > nice-looking glyphs for the Unicode quote characters.
> 
> I do not think that I am in a position to suggest a patch that could generally 
> fix this problem.  I use Emacs only in two different environments, and have no 
> idea of what limits and constraints Emacs must obey with regards to fonts to 
> remain portable across various platforms.
> 
> I can only say that for my case it would be entirely sufficient to simply make 
> Info-quoted inherit from default, i.e. use '((:inherit default)) as spec in 
> defface.  
> 
> But I only use a GUI Emacs, and only on very recent and modern systems (Arch 
> Linux with KDE, and OS X 10.9), where Unicode fonts are less of a problem.  On 
> these systems Emacs typically picks a font with good unicode coverage for the 
> default face automatically, e.g. DejaVu Sans Mono or a variant thereof.

Character coverage is not the problem.  The problem is that some
widely used fonts that cover these characters have ugly or barely
visible glyphs for them.

> inheriting from default seems to be the standard among other
> built-in faces.

I would trust Stefan (who introduced this face) that he knows that for
quite some time, and had his reasons for not doing that.